> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create My Join Requests



## OpenAPI

````yaml /openapi.json post /v1/join-requests
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/join-requests:
    post:
      tags:
        - My Join Requests
      summary: Create My Join Requests
      operationId: MyJoinRequestsController_create_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateJoinRequestDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JoinRequestCreatedDto'
components:
  schemas:
    CreateJoinRequestDto:
      type: object
      properties:
        workspaceId:
          type: string
      required:
        - workspaceId
      additionalProperties: false
    JoinRequestCreatedDto:
      type: object
      properties:
        id:
          type: string
        workspaceId:
          type: string
        status:
          type: string
      required:
        - id
        - workspaceId
        - status

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.